<?php
/*-------------------------------------------------------+
| PHPFusion Content Management System
| Copyright (C) PHP Fusion Inc
| https://phpfusion.com/
+--------------------------------------------------------+
| Filename: admin.php
| Author: karrak
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once __DIR__ . '/../../maincore.php';
pageAccess( 'NOT' );
require_once FUSION_ADMIN_HEADER;

$locale = fusion_get_locale( "", FHNOTICE_LOCALE );
add_breadcrumb( ['link' => NOTICE_PATH . "admin.php" . fusion_get_aidlink(), 'title' => $locale['NOT_003']] );
add_to_title( $locale['NOT_003'] );

$noticetype = ['info', 'warning', 'success', 'danger'];
$noticeimg = ['fa-info-circle', 'fa-stop-circle', 'fa-check-circle', 'fa-window-close'];
$noticecookie = ['0', '600', '86400', '259200', '604800', '1209600'];
$noticedata = [
    'n_id'         => '',
    'n_noenable'   => 0,
    'n_type'       => 0,
    'n_msg'        => '',
    'n_cookie'     => 0,
    'n_active'     => 0,
    'n_visibility' => USER_LEVEL_MEMBER,
    'n_language'   => LANGUAGE
];

$result = dbquery("SELECT * FROM " . DB_NOTICE_TABLE . ( multilang_table( "NOT" ) ? " WHERE " . in_group( 'n_language', LANGUAGE ) : '' ) );
if ( dbrows( $result ) ) {
    $noticedata = dbarray( $result );
}
if (check_post('savesettings')) {
    $noticedata = [
        'n_id'         => sanitizer( 'n_id', 0, 'n_id' ),
        'n_noenable'   => post( 'n_noenable' ) ? 1 : 0,
        'n_type'       => sanitizer( 'n_type', 0, 'n_type' ),
        'n_msg'        => sanitizer( 'n_msg', '', 'n_msg' ),
        'n_cookie'     => sanitizer( 'n_cookie', 0, 'n_cookie' ),
        'n_visibility' => sanitizer( ['n_visibility'], 0, 'n_visibility' ),
        'n_active'     => post( 'n_active' ) ? 1 : 0,
        'n_language'   => sanitizer( ['n_language'], LANGUAGE, 'n_language' )
    ];
    dbquery_insert( DB_NOTICE_TABLE, $noticedata, empty( $noticedata['n_id'] ) ? 'save' : 'update' );
    addnotice( 'success', empty( $noticedata['n_id'] ) ? $locale['NOT_015'] : $locale['NOT_016'] );
    redirect( FUSION_REQUEST );
}

opentable( $locale['NOT_003'] );
echo "<div class='mb-5'><h5>" . $locale['NOT_017'] . "</h5></div>";
echo openform( 'settingsform', 'POST', FUSION_REQUEST, ['class'=>'spacer-sm'] );
echo form_hidden( 'n_id', '', $noticedata['n_id'] );
echo form_checkbox( 'n_noenable', $locale['NOT_018'], $noticedata['n_noenable'], [
    'toggle'  => TRUE,
    'ext_tip' => $locale['NOT_M01'],
    'inline'  => TRUE
] );
echo form_select( 'n_type', $locale['NOT_019'], $noticedata['n_type'], [
    'inline'     => TRUE,
    'ext_tip'    => $locale['NOT_M02'],
    'max_select' => 1,
    'multiple'   => TRUE,
    'options'    => [
        0 => $locale['NOT_050'],
        1 => $locale['NOT_051'],
        2 => $locale['NOT_052'],
        3 => $locale['NOT_053']
    ]
] );
echo form_select( 'n_cookie', $locale['NOT_020'], $noticedata['n_cookie'], [
    'inline'     => TRUE,
    'ext_tip'    => $locale['NOT_M03'],
    'max_select' => 1,
    'multiple'   => TRUE,
    'options'    => [
        '0'       => $locale['NOT_060'],
        '600'     => $locale['NOT_061'],
        '86400'   => $locale['NOT_062'],
        '259200'  => $locale['NOT_063'],
        '604800'  => $locale['NOT_064'],
        '1209600' => $locale['NOT_065']
    ]
] );
echo form_select( 'n_visibility[]', $locale['NOT_021'] , $noticedata['n_visibility'], [
    'inline'      => TRUE,
    'placeholder' => '-  ' . $locale['NOT_022'] . ' -',
    'options'     => fusion_get_groups(),
    'max_select'  => 1,
    'multiple'    => TRUE
] );
echo form_textarea( 'n_msg', $locale['NOT_023'], $noticedata['n_msg'], [
    'autosize'    => TRUE,
    'placeholder' => $locale['NOT_024'],
    'inline'      => TRUE
] );
if ( multilang_table( "NOT" ) ) {
    echo form_select( 'n_language[]', $locale['language'], $noticedata['n_language'], [
        'inline'      => TRUE,
        'options'     => fusion_get_enabled_languages(),
        'placeholder' => $locale['choose'],
        'inner_width' => '100%',
        'multiple'    => TRUE
    ] );
} else {
    echo form_hidden( 'n_language', '', $noticedata['n_language'] );
}
echo form_checkbox( 'n_active', $locale['NOT_025'], $noticedata['n_active'], [
    'toggle' => TRUE,
    'inline' => TRUE
] );
echo form_button( 'savesettings', $locale['save'], $locale['save'], ['class' => 'btn-success'] );
echo closeform();

$nlocale = array_flip( $noticecookie );
echo "<div class='text-center'>" . $locale['NOT_026'] . "</div>";
$noticemessage = parse_text( $noticedata['n_msg'], [
    'decode'               => FALSE,
    'default_image_folder' => NULL,
    'add_line_breaks'      => TRUE
] );

echo "<div class='alert alert-" . $noticetype[$noticedata['n_type']] . "' role='alert'><i class='fa " . $noticeimg[$noticedata['n_type']] . " m-r-10 fa-lg fa-fw'></i>" . $noticemessage . "</div>";
echo "<div class='text-center small'>";
echo "<p>" . sprintf( $locale['NOT_028'], $locale['NOT_027'], $locale["NOT_06" . $nlocale[$noticedata['n_cookie']]] ) . "</p>";
echo "</div>";
closetable();

require_once FUSION_FOOTER;
