<?php
/*-------------------------------------------------------+
| PHPFusion Content Management System
| Copyright (C) PHP Fusion Inc
| https://phpfusion.com/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: karrak
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
defined( 'IN_FUSION' ) || exit;

$locale = fusion_get_locale( "", FHNOTICE_LOCALE );

// Infusion general information
$inf_title = $locale['NOT_001'];
$inf_description = $locale['NOT_002'];
$inf_version = "1.0.0";
$inf_developer = "karrak";
$inf_email = "admin@fusionhu.com";
$inf_weburl = "https://fusionhu.com";
$inf_folder = "fh_notice_panel";
$inf_image = "notice.svg";

//multilang table
$inf_mlt[] = [
    'title'  => $inf_title,
    'rights' => 'NOT'
];

// Create tables
$inf_newtable[] = DB_NOTICE_TABLE . " (
    n_id MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
    n_noenable TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
    n_type TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
    n_msg TEXT NOT NULL,
    n_cookie INT(10) UNSIGNED NOT NULL DEFAULT '0',
    n_visibility VARCHAR(50) NOT NULL DEFAULT '0',
    n_active TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
    n_language VARCHAR(50) NOT NULL DEFAULT '" . LANGUAGE . "',
    PRIMARY KEY (n_id)
) ENGINE=MyISAM DEFAULT CHARSET=UTF8 COLLATE=utf8_unicode_ci";

// Insert panel
$inf_insertdbrow[] = DB_PANELS." (panel_name, panel_filename, panel_content, panel_side, panel_order, panel_type, panel_access, panel_display, panel_status, panel_url_list, panel_restriction, panel_languages) VALUES('" . $inf_title . "', '" . $inf_folder . "', '', '4', '3', 'file', '" . USER_LEVEL_MEMBER . "', '1', '1', '', '3', '" . fusion_get_settings( 'enabled_languages' ) . "')";

$enabled_languages = makefilelist( LOCALE, ".|..", TRUE, "folders" );
if ( !empty( $enabled_languages ) ) {
    foreach( $enabled_languages as $language ) {
        if ( file_exists( NOTICE_PATH . 'locale/' . $language . '/notice.php' ) ) {
            include NOTICE_PATH . 'locale/' . $language . '/notice.php';
        } else {
            include NOTICE_PATH . 'locale/Hungarian/notice.php';
        }

        $mlt_adminpanel[$language][] = [
            'rights'   => "NOT",
            'image'    => $inf_image,
            'title'    => $locale['NOT_003'],
            'panel'    => "admin.php",
            'page'     => 5,
            'language' => $language
        ];

        $mlt_insertdbrow[$language][] = DB_NOTICE_TABLE . " (n_noenable, n_type, n_msg, n_cookie, n_visibility, n_active, n_language) VALUES('0', '0', '" . $locale['NOT_005'] . "', '0', '0', '0', '" . $language . "')";

        $mlt_deldbrow[$language][] = DB_NOTICE_TABLE . " WHERE n_language = '" . $language . "'";
        $mlt_deldbrow[$language][] = DB_ADMIN . " WHERE admin_rights = 'NOT' AND admin_language = '" . $language . "'";
    }
} else {
    $inf_adminpanel[] = [
        'rights'   => "NOT",
        'image'    => $inf_image,
        'title'    => $locale['NOT_003'],
        'panel'    => "admin.php",
        'page'     => 5,
        'language' => LANGUAGE
    ];
    $mlt_insertdbrow[] = DB_NOTICE_TABLE . " (n_noenable, n_type, n_msg, n_cookie, n_visibility, n_active, n_language) VALUES('0', '0', '" . $locale['NOT_005'] . "', '0', '0', '0', '" . LANGUAGE . "')";
}
// Uninstallation
$inf_droptable[] = DB_NOTICE_TABLE;
$inf_deldbrow[] = DB_ADMIN . " WHERE admin_rights = 'NOT'";
$inf_deldbrow[] = DB_PANELS . " WHERE panel_filename = '" . $inf_folder . "'";
$inf_deldbrow[] = DB_LANGUAGE_TABLES . " WHERE mlt_rights = 'NOT'";
