<?php
/*-------------------------------------------------------+
| PHPFusion Content Management System
| Copyright (C) PHP Fusion Inc
| https://phpfusion.com/
+--------------------------------------------------------+
| Filename: infusion_db.php
| Author: karrak
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
defined( 'IN_FUSION' ) || exit;

use PHPFusion\Admins;

// Admin Settings
Admins::getInstance()->setAdminPageIcons( "NOT", "<i class='admin-ico fa fa-fw fa-commenting'></i>" );

// Paths
const NOTICE_PATH = INFUSIONS . 'fh_notice_panel/';

// Locales
define( 'FHNOTICE_LOCALE', fusion_get_inf_locale_path( 'notice.php', NOTICE_PATH . 'locale/' ) );

// Database
const DB_NOTICE_TABLE = DB_PREFIX."notice_table";


if ( defined( 'FH_NOTICE_PANEL_EXIST' ) ) {
    function notice_home_module( $modultype = [] ) {
        $modultype += [
            'paneltype' => 0,
        ];
        $mymodule = [];
        if ( !isset( $_COOKIE[COOKIE_PREFIX . 'fh_notice_panel'] ) ) {
            $noticetype = ['info', 'warning', 'success', 'danger'];
            $noticeimg = ['fa-info-circle', 'fa-stop-circle', 'fa-check-circle', 'fa-window-close'];
            $noticecookie = ['0', '600', '86400', '259200', '604800', '1209600'];
            $locale = fusion_get_locale( '', FHNOTICE_LOCALE);
            $result = dbquery( "SELECT *
                FROM " . DB_NOTICE_TABLE . "
                WHERE " . ( multilang_table( "NOT" ) ? in_group( 'n_language', LANGUAGE ) . ' AND ' : '' ) . "n_active = '1' AND " . groupaccess( "n_visibility" ) . "
            " );
            if ( dbrows( $result ) ) {
                $mymodule['title'] = $locale["NOT_010"];
                $nlocale = array_flip( $noticecookie );
                while ( $data = dbarray( $result ) ) {
                    if ( !empty( $data['n_noenable'] ) ) {
                        $data['paneltype'] = $modultype['paneltype'];
                        $data['noticetype'] = $noticetype[$data['n_type']];
                        $data['noticeimg'] = $noticeimg[$data['n_type']];
                        $data['noticelocale'] =  sprintf( $locale['NOT_028'], $locale['NOT_027'], $locale["NOT_06" . $nlocale[$data['n_cookie']]] );
                        $mymodule['item'][$data['n_id']] = $data;
                    }
                }
            }
        }
        return $mymodule;
    }
    fusion_add_hook( 'fhnotice_modules', 'notice_home_module' );
}
