<?php
/*-------------------------------------------------------+
| PHPFusion Content Management System
| Copyright (C) PHP Fusion Inc
| https://phpfusion.com/
+--------------------------------------------------------+
| Filename: fhnotice.tpl.php
| Author: karrak
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
defined( 'IN_FUSION' ) || exit;

if ( !function_exists( 'FhNotices' ) ) {
    function FhNotices( $info ) {
        if ( !empty( $info ) ) {
            $locale = fusion_get_locale();
            foreach ( $info as $noticedata ) {
                if ( !empty( $noticedata['item'] ) ) {
                    foreach ( $noticedata['item'] as $data ) {
                        $data['paneltype'] ? openside( $noticedata['title'] ) : '';
                        $noticemessage = parse_text( $data['n_msg'], [
                            'decode'               => FALSE,
                            'default_image_folder' => NULL,
                            'add_line_breaks'      => TRUE
                        ] );
                        echo "<div class='alert alert-" . $data['noticetype'] . "' role='alert'><i class='fa " . $data['noticeimg'] . " m-r-10 fa-lg fa-fw'></i>" . $noticemessage . "</div>";
                        if ( !empty( $data['n_cookie'] ) ) {
                            echo openform( 'fp_notice_panel', 'POST', FUSION_REQUEST );
                            echo form_hidden('n_cookie', '', $data['n_cookie']);
                            echo "<div class='text-center small'>";
                                echo "<p>" . $data['noticelocale'] . "</p>";
                            echo "</div>";
                            echo "<div class='text-center'>" . form_button( 'accept_notice', $locale['NOT_029'], $locale['NOT_029'], ['class' => 'btn-success btn-sm'] ) . "</div>";
                            echo closeform();
                        }
                        $data['paneltype'] ? closeside() : '';
                    }
                }
            }
        }
    }
}
